Package uk.ac.starlink.table.join

# Class MultiJoinType

java.lang.Object
uk.ac.starlink.table.join.MultiJoinType

public class MultiJoinType extends Object
Enumeration defining how each table in a multi-table join can determines the acceptability of a match. Acceptability can be used to decide which matches form part of the output table resulting from a match.

Since:
  4 Dec 2007
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MultiJoinType`
`ALWAYS`
Any match containing table (even alone) is acceptable.
`static final MultiJoinType`
`DEFAULT`
No constraints on match inclusion for table.
`static final MultiJoinType`
`MATCH`
Table must be present in an acceptable match.
`static final MultiJoinType`
`NOMATCH`
Table must be absent in an acceptable match.

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`accept(MultiJoinType[] joinTypes, boolean[] present)`
Determines acceptability of a sequence of items based on a sequence of acceptability criteria.
`String`
`toString()`
Returns join type name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### MATCH

public static final MultiJoinType MATCH
Table must be present in an acceptable match.

### NOMATCH

public static final MultiJoinType NOMATCH
Table must be absent in an acceptable match.

### ALWAYS

public static final MultiJoinType ALWAYS
Any match containing table (even alone) is acceptable. Overrides MATCH and NOMATCH.

### DEFAULT

public static final MultiJoinType DEFAULT
No constraints on match inclusion for table.

## Method Details

### toString

public String toString()
Returns join type name.

Overrides:
  `toString` in class `Object`
Returns:
  name

### accept

public static boolean accept(MultiJoinType[] joinTypes, boolean[] present)
Determines acceptability of a sequence of items based on a sequence of acceptability criteria.

Parameters:
  `joinTypes` - array of acceptability criteria
  `present` - array of flags for presence/absence of items
Returns:
  true iff acceptability criteria are fulfilled